org.wildfly.swarm.microprofile.openapi.api.models.info

## Class ContactImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.info.ContactImpl

- All Implemented Interfaces:
    ModelImpl

      public class ContactImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Contact` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contact` | `email(String email)`
    `String` | `getEmail()`
    `String` | `getName()`
    `String` | `getUrl()`
    `Contact` | `name(String name)`
    `void` | `setEmail(String email)`
    `void` | `setName(String name)`
    `void` | `setUrl(String url)`
    `Contact` | `url(String url)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactImpl

          public ContactImpl()

  - ### Method Detail

    - #### getName

          public String getName()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Contact#getName()`

    - #### setName

          public void setName(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Contact#setName(java.lang.String)`

    - #### name

          public Contact name(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Contact#name(java.lang.String)`

    - #### getUrl

          public String getUrl()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Contact#getUrl()`

    - #### setUrl

          public void setUrl(String url)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Contact#setUrl(java.lang.String)`

    - #### url

          public Contact url(String url)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Contact#url(java.lang.String)`

    - #### getEmail

          public String getEmail()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Contact#getEmail()`

    - #### setEmail

          public void setEmail(String email)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Contact#setEmail(java.lang.String)`

    - #### email

          public Contact email(String email)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Contact#email(java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.